# 环境配置
server:
  port: 9001
  servlet:
    context-path: /api/ruisi

# condition
spel:
  scheduling: false        # 定时任务是否执行
  multiSource: false       # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: mu123
    url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
    # 主库
    primary:
      username: root
      password: mu123
      jdbc-url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
    # 从库
    slave:
      username: root
      password: mu123
      jdbc-url: jdbc:mysql://127.0.0.1:3306/mjava_slave?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  jpa:
    hibernate:
      ddl-auto: none      # JPA对表没有任何操作
    show-sql: true
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect

# filepath
file:
  path:
    file: /Users/malk/server/_Tool/var/mjava/tmp/file/
    image: /Users/malk/server/_Tool/var/mjava/tmp/image/
    tmp: /Users/malk/server/_Tool/var/mjava/tmp/
  source:
    fonts: /Users/malk/server/_Tool/fonts/simsun.ttc
logging:
  file:
    path: /Users/malk/server/_Tool/var/mjava/log

# dingtalk
dingtalk:
  agentId: 3079562924
  appKey: dingprswtas7kluqst2c
  appSecret: ukquGx_DjznsTQtKQtFFNutn1NFhSgL9ZbTfCtl_9mJYWacFYu--vj_zThTxjsYN
  corpId: dingccd7fff754e440cf24f2f5cc6abecb85
  aesKey:
  token:
  operator:           # OA管理员账号 [首字符若为0需要转一下字符串]

# aliwork
aliwork:
  appType: APP_VCTRP6227CC8368NDOID
  systemToken: 5H9662C1X8XJLFFCE841M5VBEBQ73DM5IBPULPI3

